
#ifdef  __CA78K0R__

  #include  "RL78_vector.h"
  #include  "r_stdint.h"

#elif  __CCRL__

  #include  "iodefine.h"
  #include  "RL78_vector.h"
  #include  "r_stdint.h"

#elif  __ICCRL78__

  #include  <intrinsics.h>
  #include  <ior5f11ble.h>
  #include  <ior5f11ble_ext.h>
  #include  "RL78_vector.h"
  #include  "r_stdint.h"

#endif

#include  ".\ics2_RL78G1F.h"

#ifdef  __CA78K0R__

  __interrupt void Excep_INTST1 (void) { int_ics_sci_tx(); }
  __interrupt void Excep_INTSR1 (void) { int_ics_sci_rx(); }
  __interrupt void Excep_INTSRE1(void) { int_ics_sci_err(); }

#elif   __CCRL__

              void Excep_INTST1 (void) { int_ics_sci_tx(); }
              void Excep_INTSR1 (void) { int_ics_sci_rx(); }
              void Excep_INTSRE1(void) { int_ics_sci_err(); }

#elif   __ICCRL78__

  __interrupt void Excep_INTST1 (void) { int_ics_sci_tx(); }
  __interrupt void Excep_INTSR1 (void) { int_ics_sci_rx(); }
  __interrupt void Excep_INTSRE1(void) { int_ics_sci_err(); }

#endif
